%global         momorel 1

Name:           perl-XML-Writer
Version:        0.625
Release:        %{momorel}m%{?dist}
Summary:        Perl extension for writing XML documents
License:        "Distributable, see LICENSE"
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/XML-Writer/
Source0:        http://www.cpan.org/authors/id/J/JO/JOSEPHW/XML-Writer-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006_000
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Simple >= 0.047
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
XML::Writer is a helper module for Perl programs that write an XML
document. The module handles all escaping for attribute values and
character data and constructs different types of markup, such as tags,
comments, and processing instructions.

%prep
%setup -q -n XML-Writer-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
make test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README TODO
%{perl_vendorlib}/XML/Writer.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.625-1m)
- rebuild against perl-5.20.0
- update to 0.625

* Sun Feb 16 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.624-1m)
- update to 0.624

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (0.623-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.623-2m)
- rebuild against perl-5.18.1

* Sat Jun 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.623-1m)
- update to 0.623

* Thu May 30 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.622-1m)
- update to 0.622

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.621-2m)
- rebuild against perl-5.18.0

* Mon Apr 15 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.621-1m)
- update to 0.621

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (0.615-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.615-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.615-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.615-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.615-1m)
- update to 0.615

* Mon Jan  9 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.614-1m)
- update to 0.614

* Sat Jan  7 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (0.613-1m)
- update to 0.613

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.612-7m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.612-6m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (0.612-5m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.612-4m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.612-3m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.612-2m)
- rebuild against perl-5.12.2

* Tue Sep 21 2010 NARITA Koichi <pulsar@momonga-linnux.org>
- (0.612-1m)
- update to 0.612

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.611-3m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.611-2m)
- rebuild against perl-5.12.1

* Fri Apr 23 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.611-1m)
- update to 0.611

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.610-2m)
- rebuild against perl-5.12.0

* Fri Apr  2 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.610-1m)
- update to 0.610

* Sun Mar 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.607-1m)
- update to 0.607
- Specfile re-generated by cpanspec 1.78.

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.606-4m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.606-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.606-2m)
- rebuild against rpm-4.6

* Sun Dec  7 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.606-1m)
- update to 0.606

* Wed Dec  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.605-1m)
- update to 0.605

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.604-2m)
- rebuild against gcc43

* Tue Feb 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.604-1m)
- update to 0.604

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.603-2m)
- %%NoSource -> NoSource

* Thu Jul  5 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.603-1m)
- update to 0.603

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.602-2m)
- use vendor

* Sun Nov 19 2006 NARITA Koichi <pulsar@momonga-linux.org>
- (0.602-1m)
- update to 0.602

* Sun Sep 17 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.601-1m)
- update to 0.601

* Tue Feb 7 2006 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.600-2m)
- built against perl-5.8.8

* Fri Dec 30 2005 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.600-1m)
- update to 0.600

* Sun Jun 12 2005 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.545-1m)
- version up to 0.545
- built against perl-5.8.7

* Sat Aug 21 2004 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (0.4.6-3m)
- rebuild against perl-5.8.5

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (0.4.6-2m)
- remove Epoch from BuildRequires

* Wed May 26 2004 Toru Hoshina <t@momonga-linux.org>
- (0.4.6-1m)
- spec file was autogenerated
